com.orsoncharts.data.xyz

## Class XYZSeries

- java.lang.Object
- - com.orsoncharts.data.xyz.XYZSeries

- All Implemented Interfaces:
    java.io.Serializable

      public class XYZSeries
      extends java.lang.Object
      implements java.io.Serializable

  A data series containing a sequence of `(x, y, z)` data items. The series has a key to identify it, and can be added to an `XYZSeriesCollection` to create a dataset.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYZSeries(java.lang.Comparable<?> key)` Creates a new series with the specified key.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double x, double y, double z)` Adds a new data item to the series.
    `void` | `add(XYZDataItem item)` Adds a new data item to the series.
    `boolean` | `equals(java.lang.Object obj)` Tests this series for equality with an arbitrary object.
    `int` | `getItemCount()` Returns the number of items in the series.
    `java.lang.Comparable<?>` | `getKey()` Returns the series key.
    `double` | `getXValue(int itemIndex)` Returns the x-value for the specified item in the series.
    `double` | `getYValue(int itemIndex)` Returns the y-value for the specified item in the series.
    `double` | `getZValue(int itemIndex)` Returns the z-value for the specified item in the series.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XYZSeries

          public XYZSeries(java.lang.Comparable<?> key)

      Creates a new series with the specified key.
      Parameters:
        `key` - the key (`null` not permitted).

  - ### Method Detail

    - #### getKey

          public java.lang.Comparable<?> getKey()

      Returns the series key.
      Returns:
        The series key (never `null`).

    - #### getItemCount

          public int getItemCount()

      Returns the number of items in the series.
      Returns:
        The number of items in the series.

    - #### getXValue

          public double getXValue(int itemIndex)

      Returns the x-value for the specified item in the series.
      Parameters:
        `itemIndex` - the item index.
      Returns:
        The x-value.

    - #### getYValue

          public double getYValue(int itemIndex)

      Returns the y-value for the specified item in the series.
      Parameters:
        `itemIndex` - the item index.
      Returns:
        The y-value.

    - #### getZValue

          public double getZValue(int itemIndex)

      Returns the z-value for the specified item in the series.
      Parameters:
        `itemIndex` - the item index.
      Returns:
        The z-value.

    - #### add

          public void add(double x,
                          double y,
                          double z)

      Adds a new data item to the series.
      Parameters:
        `x` - the x-value.
        `y` - the y-value.
        `z` - the z-value.

    - #### add

          public void add(XYZDataItem item)

      Adds a new data item to the series.
      Parameters:
        `item` - the data item (`null` not permitted).

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this series for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object to test (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`